Package: org.codehaus.groovy.classgen.asm

## [Java] Class CompileStack.BlockRecorder

- org.codehaus.groovy.classgen.asm.CompileStack.BlockRecorder

-     public static class CompileStack.BlockRecorder
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Runnable` | `excludedStatement` |
    `LinkedList<LabelRange>` | `ranges` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BlockRecorder()`
    `BlockRecorder(Runnable excludedStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `closeRange(org.objectweb.asm.Label end)`
    `` | `public void` | `startRange(org.objectweb.asm.Label start)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public Runnable excludedStatement

    - #### public final LinkedList<LabelRange> ranges

  - ### Constructor Detail

    - #### public BlockRecorder()

    - #### public BlockRecorder(Runnable excludedStatement)

  - ### Method Detail

    - #### public void closeRange(org.objectweb.asm.Label end)

    - #### public void startRange(org.objectweb.asm.Label start)